Subject: bug#27357: 26.0.50; Emacs starts fullscreen in Ubuntu 17.04

From: martin rudalics <[email-masked]>
Date: Sun, 16 Jul 2017 15:54:37 +0200

> GDK_SCALE=1 ./emacs
 >
 > will make tooltips appear in the correct place in Emacs, and makes
 > "emacs -Q" window sizes correct!
 >
 > So that's the culprit.  But what's the fix?  Since Emacs isn't
 > scale-aware, should emacs just set that on startup?

It has been recommended to do that, yes.  But I have no idea which
issues it fixes and whether it does so in most or all environments.

Maybe all people who reported these bugs just live happily with this
workaround and never bothered to comment on how well it works.

martin